/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cuni.amis.pogamut.base.agent.navigation;

/**
 *
 * @author Ik
 */
public class ExampleUsage {

    public void usecase() {
       /*
        LevelMap map = ....
        // path planner depends only on the map
        PathPlanner planner = new AstarPlanner(map);
        // path executor depends on the agent
        PathExecutor executor = new MoverAwarePathExecutor(agent);
        
        Path path = planner.getPath(from, to);     
        executor.setPathToFollow(path);
        
        // follow the path
        while(executor.followPath()) {
            Thread.sleep(300);
        }
        // we are at the destination
        */
    }
}
